<template>
  <div>
    <el-dialog
      v-loading="loading"
      :show-close="false"
      :close-on-click-modal="false"
      :visible.sync="isShow"
      :title="curObj.id ? '编辑银行利率' : '添加银行利率'"
      :fullscreen="false"
      width="700px"
      custom-class="xl-dialog"
      center
    >
      <base-form ref="ruleForm" class="lib-edit" :data="formData" :is-inline="false" label-width="100px">
        <div slot="footer" style="padding-top: 20px;">
          <el-button class="xl-form-btn t2" @click="close">关 闭</el-button>
          <el-button class="xl-form-btn t1" @click="close('confirm')">确定</el-button>
        </div>
      </base-form>
    </el-dialog>
  </div>
</template>
<script>
export default {
  components: { },
  mixins,
  props: {
    isShow: Boolean,
    curObj: Object
  },
  inject: ['parentData'],
  data() {
    return {
      formData: [],
      loading: true,
    }
  },
  watch: {
    isShow: function(val) {
      if (val) {
        this.getDef()
      }
    },
  },
  methods: {
    getDef() {
      let params = { ...this.curObj }
      this.formData = [
        { label: '银行名称', key: 'bank_name', class: 'c-2', rules: 1 },
        { label: '银行logo', key: 'pri_image', class: 'c-2', type: 'uploads', rules: 1 },
        { label: '一套利率', key: 'one_rate', class: 'c-2', rules: 1 },
        { label: '二套利率', key: 'two_rate', class: 'c-2', rules: 1 },
        { label: '文字颜色', key: 'colour', type: 'colorPicker'},
        { label: '预选1', key: 'option1', class: 'c-2'},
        { label: '预选2', key: 'option2', class: 'c-2'},
      ]
      this.setDefaultValue(params)
    },
    close(str) {
      if (str === 'confirm') {
        this.$refs['ruleForm'].$refs['baseForm'].validate((valid) => {
          if (valid) {
            const oldform = this.$refs.ruleForm.baseForm
            const newForm = { ...oldform }
            if (this.curObj.id) newForm.id = this.curObj.id
            let apiStr = 'admbankrateadd'
            if (newForm.id) apiStr = 'admbankrateedit'
            this.$api.other[apiStr](newForm).then(data => {
              this.$msgs(newForm.id ? '编辑成功' : '新增成功')
              this.$emit('close', newForm)
            })
          }
        })
      } else {
        this.$emit('close')
        this.setDefaultValue()
      }
    },
  }
}
</script>
<style lang="scss" scoped>
@import '../../../../styles/libEdit.scss';
.lib-edit {
  padding-top: 0;
  ::v-deep .el-form-item {
    margin-bottom: 10px;
  }
  ::v-deep .el-date-editor.el-input {
    width: 100%;
  }
}
::v-deep .img-upload {
  height: 40px;
  overflow: hidden;
  .el-upload {
    height: 35px;
  }
  .icon {
    width: 110px;
    height: 35px;
    line-height: 35px;
    font-size: 20px;
  }
  .img {
    width: 110px;
    height: 35px;
  }
}
</style>
